Bug 1420115 - Console button do not work for hosted engine
Summary: Console button do not work for hosted engine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.2.3
: ---
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard:
Depends On: 1455169 1528868
Blocks: 1458709
TreeView+ depends on / blocked
 
Reported: 2017-02-07 21:18 UTC by Martin Sivák
Modified: 2018-05-10 06:27 UTC (History)
10 users (show)

Fixed In Version: ovirt-hosted-engine-setup-2.2.13-1
Doc Type: Bug Fix
Doc Text:
Graphical console wasn't working for the hosted-engine VM due to the lack of relevant devices.
Clone Of:
Environment:
Last Closed: 2018-05-10 06:27:45 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2+
ylavi: blocker+
mgoldboi: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
Screenshot from 2017-02-15 13-49-31.png (194.16 KB, image/png)
2017-02-15 11:49 UTC, Nikolai Sednev
no flags Details
screencast (969.35 KB, application/octet-stream)
2018-02-15 15:12 UTC, Nikolai Sednev
no flags Details
screenshot (132.57 KB, image/png)
2018-04-22 14:46 UTC, Nikolai Sednev
no flags Details
screencast (1.03 MB, application/octet-stream)
2018-04-22 14:48 UTC, Nikolai Sednev
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1561964 'urgent' 'CLOSED' 'hosted-engine VM created with node zero misses the console device' 2019-12-09 08:53:08 UTC
oVirt gerrit 86787 'None' MERGED Trigger OVF refresh before agent takes over 2020-06-28 11:56:24 UTC
oVirt gerrit 88339 'None' MERGED ansible: console: enable serial console on target VM 2020-06-28 11:56:24 UTC
oVirt gerrit 88422 'None' MERGED ansible: console: enable serial console on target VM 2020-06-28 11:56:24 UTC
oVirt gerrit 88621 'None' MERGED Trigger OVF refresh before agent takes over 2020-06-28 11:56:24 UTC
oVirt gerrit 88650 'None' MERGED ansible: wait for OVF_STORE updates 2020-06-28 11:56:24 UTC
oVirt gerrit 88715 'None' MERGED ansible: wait for OVF_STORE updates 2020-06-28 11:56:23 UTC

Internal Links: 1561964

Description Martin Sivák 2017-02-07 21:18:06 UTC
Description of problem:

Sandy Berger reported on the users list that:

> since the 4.1 upgrade the console button in the toolbar for the hosted engine is dimmed in the 
> GUI. That is still the case. Is that expected behavior with 4.1 or is there some other issue
> going on?

> Also, when I use the command "ssh -t -p 2222 ovirt-vmconsole@engine," I get a menu of VMs that
> I can choose from and get a serial console to them. That option has never worked for the hosted 
> engine. The engine shows up as a menu item but selecting it yields a socket error. This works 
> successfully on the other VMs.

Version-Release number of selected component (if applicable):

oVirt 4.1

For more details see the users@ovirt.org email:

http://lists.ovirt.org/pipermail/users/2017-February/079537.html

Comment 1 Francesco Romani 2017-02-13 12:03:21 UTC
(In reply to Martin Sivák from comment #0)
> Description of problem:
> 
> Sandy Berger reported on the users list that:
> 
> > since the 4.1 upgrade the console button in the toolbar for the hosted engine is dimmed in the 
> > GUI. That is still the case. Is that expected behavior with 4.1 or is there some other issue
> > going on?
> 
> > Also, when I use the command "ssh -t -p 2222 ovirt-vmconsole@engine," I get a menu of VMs that
> > I can choose from and get a serial console to them. That option has never worked for the hosted 
> > engine. The engine shows up as a menu item but selecting it yields a socket error. This works 
> > successfully on the other VMs.
> 
> Version-Release number of selected component (if applicable):
> 
> oVirt 4.1
> 
> For more details see the users@ovirt.org email:
> 
> http://lists.ovirt.org/pipermail/users/2017-February/079537.html

It is strongly recommended to use ttyS0 (legacy serial driver emulation) and not hvc0 (newer virtio serial driver) because we had reports
of kernel panics (!!!!) using the new driver.
We are going to re-evaluate this setting for 4.2.0, and, perhaps, later 4.1.z, but for 4.1.0 this is still valid.

In terms of Vm configuration, the console device should have the "consoleType" = "serial" setting.

This is the default Engine sends.

Not sure what HE is doing, but this explains why it works with not-HE VMs.

Comment 2 Martin Sivák 2017-02-15 11:35:09 UTC
Nikolai, can you check if this is working or not?

Comment 3 Nikolai Sednev 2017-02-15 11:49:53 UTC
Created attachment 1250557 [details]
Screenshot from 2017-02-15 13-49-31.png

Comment 4 Nikolai Sednev 2017-02-15 12:08:57 UTC
In Red Hat Virtualization Manager Version: 4.1.1-0.1.el7 serial console button is not greyed out as appears within the attachment, it is disabled by default, but then it is possible to select it and enable, but selection not being saved and after looking again on that option it is shown as not selected, although I've marked it as selected and committed with "OK".

You could probably hit the https://bugzilla.redhat.com/show_bug.cgi?id=1364132.

I've tested serial console on HE for 4.1.1-0.1 and results are as follows:
"ERROR: Console '8dc1d363-1127-44c5-881a-c0e3a55c69f1.sock' is not available"


# ssh -v -t -i $HOME/.ssh/id_rsa -p 2222 ovirt-vmconsole@nsednev-he-1.qa.lab.tlv.redhat.com connect
OpenSSH_6.6.1, OpenSSL 1.0.1e-fips 11 Feb 2013
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 56: Applying options for *
debug1: Connecting to nsednev-he-1.qa.lab.tlv.redhat.com [10.35.97.61] port 2222.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/id_rsa type 1
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_6.6.1
debug1: Remote protocol version 2.0, remote software version OpenSSH_6.6.1
debug1: match: OpenSSH_6.6.1 pat OpenSSH_6.6.1* compat 0x04000000
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: server->client aes128-ctr hmac-md5-etm@openssh.com none
debug1: kex: client->server aes128-ctr hmac-md5-etm@openssh.com none
debug1: kex: curve25519-sha256@libssh.org need=16 dh_need=16
debug1: kex: curve25519-sha256@libssh.org need=16 dh_need=16
debug1: sending SSH2_MSG_KEX_ECDH_INIT
debug1: expecting SSH2_MSG_KEX_ECDH_REPLY
debug1: ssh_rsa_verify: signature correct
debug1: Server host key: RSA-CERT 42:d3:52:ce:9a:1f:07:7f:ed:db:95:4f:c4:12:4e:d3
debug1: checking without port identifier
debug1: No matching CA found. Retry with plain key
debug1: No matching CA found. Retry with plain key
debug1: Host '[nsednev-he-1.qa.lab.tlv.redhat.com]:2222' is known and matches the RSA host key.
debug1: Found key in /root/.ssh/known_hosts:3
debug1: ssh_rsa_verify: signature correct
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: SSH2_MSG_SERVICE_REQUEST sent
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey
debug1: Next authentication method: publickey
debug1: Offering RSA public key: /root/.ssh/id_rsa
debug1: Server accepts key: pkalg ssh-rsa blen 279
debug1: key_parse_private2: missing begin marker
debug1: read PEM private key done: type RSA
debug1: Authentication succeeded (publickey).
Authenticated to nsednev-he-1.qa.lab.tlv.redhat.com ([10.35.97.61]:2222).
debug1: channel 0: new [client-session]
debug1: Requesting no-more-sessions@openssh.com
debug1: Entering interactive session.
debug1: Remote: Forced command.
debug1: Remote: Agent forwarding disabled.
debug1: Remote: Port forwarding disabled.
debug1: Remote: User rc file execution disabled.
debug1: Remote: X11 forwarding disabled.
debug1: Remote: Forced command.
debug1: Remote: Agent forwarding disabled.
debug1: Remote: Port forwarding disabled.
debug1: Remote: User rc file execution disabled.
debug1: Remote: X11 forwarding disabled.
debug1: Sending environment.
debug1: Sending env LANG = en_US.UTF-8
debug1: Sending env LANGUAGE = 
debug1: Sending command: connect
Available Serial Consoles:
00 HostedEngine[8dc1d363-1127-44c5-881a-c0e3a55c69f1]
01 test[3bbe962a-a5af-439a-ac39-b8f641691c54]
SELECT> 00
ERROR: Console '8dc1d363-1127-44c5-881a-c0e3a55c69f1.sock' is not available
debug1: client_input_channel_req: channel 0 rtype exit-status reply 0
debug1: client_input_channel_req: channel 0 rtype eow@openssh.com reply 0
Connection to alma04.qa.lab.tlv.redhat.com closed.
debug1: channel 0: free: client-session, nchannels 1
Connection to nsednev-he-1.qa.lab.tlv.redhat.com closed.
Transferred: sent 3820, received 4480 bytes, in 9.6 seconds
Bytes per second: sent 397.6, received 466.3
debug1: Exit status 1

Comment 5 Martin Sivák 2017-02-15 12:16:56 UTC
Nikolai, can you check whether the console device is present? You can attach the virsh -r dumpxml output and the local vm.conf hosted engine is using (it is in /var/lib I think).

Comment 6 Nikolai Sednev 2017-02-15 12:52:38 UTC
virsh -r dumpxml HostedEngine
<domain type='kvm' id='1'>
  <name>HostedEngine</name>
  <uuid>8dc1d363-1127-44c5-881a-c0e3a55c69f1</uuid>
  <metadata xmlns:ovirt="http://ovirt.org/vm/tune/1.0">
    <ovirt:qos/>
  </metadata>
  <memory unit='KiB'>16777216</memory>
  <currentMemory unit='KiB'>16777216</currentMemory>
  <vcpu placement='static'>4</vcpu>
  <cputune>
    <shares>1020</shares>
  </cputune>
  <resource>
    <partition>/machine</partition>
  </resource>
  <sysinfo type='smbios'>
    <system>
      <entry name='manufacturer'>Red Hat</entry>
      <entry name='product'>RHEV Hypervisor</entry>
      <entry name='version'>4.1-0.6.el7</entry>
      <entry name='serial'>4C4C4544-0059-4410-8053-B7C04F573032</entry>
      <entry name='uuid'>8dc1d363-1127-44c5-881a-c0e3a55c69f1</entry>
    </system>
  </sysinfo>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.3.0'>hvm</type>
    <smbios mode='sysinfo'/>
  </os>
  <features>
    <acpi/>
  </features>
  <cpu mode='custom' match='exact'>
    <model fallback='allow'>SandyBridge</model>
  </cpu>
  <clock offset='variable' adjustment='0' basis='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw'/>
      <source startupPolicy='optional'/>
      <backingStore/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <disk type='file' device='disk' snapshot='no'>
      <driver name='qemu' type='raw' cache='none' error_policy='stop' io='threads'/>
      <source file='/var/run/vdsm/storage/ffb43f0a-1e02-4b8e-a4db-bc89e47fef20/895ab3d0-b1bf-4b8f-a554-de6e6c0b9c79/f99baa82-25be-4659-93c8-759f4ac31309'>
        <seclabel model='selinux' labelskip='yes'/>
      </source>
      <backingStore/>
      <target dev='vda' bus='virtio'/>
      <serial>895ab3d0-b1bf-4b8f-a554-de6e6c0b9c79</serial>
      <boot order='1'/>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <controller type='scsi' index='0' model='virtio-scsi'>
      <alias name='scsi0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='usb' index='0'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci.0'/>
    </controller>
    <lease>
      <lockspace>ffb43f0a-1e02-4b8e-a4db-bc89e47fef20</lockspace>
      <key>f99baa82-25be-4659-93c8-759f4ac31309</key>
      <target path='/rhev/data-center/mnt/10.35.110.11:_Compute__NFS_nsednev__he__1/ffb43f0a-1e02-4b8e-a4db-bc89e47fef20/images/895ab3d0-b1bf-4b8f-a554-de6e6c0b9c79/f99baa82-25be-4659-93c8-759f4ac31309.lease'/>
    </lease>
    <interface type='bridge'>
      <mac address='00:16:3e:7b:b8:53'/>
      <source bridge='ovirtmgmt'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <link state='up'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <console type='pty' tty='/dev/pts/1'>
      <source path='/dev/pts/1'/>
      <target type='virtio' port='0'/>
      <alias name='console0'/>
    </console>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/8dc1d363-1127-44c5-881a-c0e3a55c69f1.com.redhat.rhevm.vdsm'/>
      <target type='virtio' name='com.redhat.rhevm.vdsm' state='connected'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/8dc1d363-1127-44c5-881a-c0e3a55c69f1.org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0' state='disconnected'/>
      <alias name='channel2'/>
      <address type='virtio-serial' controller='0' bus='0' port='3'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/8dc1d363-1127-44c5-881a-c0e3a55c69f1.org.ovirt.hosted-engine-setup.0'/>
      <target type='virtio' name='org.ovirt.hosted-engine-setup.0' state='disconnected'/>
      <alias name='channel3'/>
      <address type='virtio-serial' controller='0' bus='0' port='4'/>
    </channel>
    <input type='mouse' bus='ps2'>
      <alias name='input0'/>
    </input>
    <input type='keyboard' bus='ps2'>
      <alias name='input1'/>
    </input>
    <graphics type='spice' tlsPort='5900' autoport='yes' listen='0' defaultMode='secure' passwdValidTo='1970-01-01T00:00:01'>
      <listen type='address' address='0'/>
    </graphics>
    <video>
      <model type='qxl' ram='65536' vram='32768' vgamem='16384' heads='1' primary='yes'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='none'>
      <alias name='balloon0'/>
    </memballoon>
    <rng model='virtio'>
      <backend model='random'>/dev/random</backend>
      <alias name='rng0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </rng>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c791,c848</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c791,c848</imagelabel>
  </seclabel>
  <seclabel type='dynamic' model='dac' relabel='yes'>
    <label>+107:+107</label>
    <imagelabel>+107:+107</imagelabel>
  </seclabel>
</domain>


# cat /run/ovirt-hosted-engine-ha/vm.conf
cpuType=SandyBridge
emulatedMachine=pc-i440fx-rhel7.3.0
vmId=8dc1d363-1127-44c5-881a-c0e3a55c69f1
smp=4
memSize=16385
maxVCpus=16
spiceSecureChannels=smain,sdisplay,sinputs,scursor,splayback,srecord,ssmartcard,susbredir
vmName=HostedEngine
display=qxl
devices={index:0,iface:virtio,format:raw,bootOrder:1,address:{slot:0x06,bus:0x00,domain:0x0000,type:pci,function:0x0},volumeID:f99baa82-25be-4659-93c8-759f4ac31309,imageID:895ab3d0-b1bf-4b8f-a554-de6e6c0b9c79,readonly:false,domainID:ffb43f0a-1e02-4b8e-a4db-bc89e47fef20,deviceId:895ab3d0-b1bf-4b8f-a554-de6e6c0b9c79,poolID:00000000-0000-0000-0000-000000000000,device:disk,shared:exclusive,propagateErrors:off,type:disk}
devices={nicModel:pv,macAddr:00:16:3E:7B:B8:53,linkActive:true,network:ovirtmgmt,deviceId:c563ed2c-0280-4c94-84f4-c8998f063d74,address:{slot:0x03,bus:0x00,domain:0x0000,type:pci,function:0x0},device:bridge,type:interface}
devices={index:2,iface:ide,shared:false,readonly:true,deviceId:8c3179ac-b322-4f5c-9449-c52e3665e0ae,address:{controller:0,target:0,unit:0,bus:1,type:drive},device:cdrom,path:,type:disk}
devices={device:virtio-serial,type:controller,deviceId:7ee9b46d-7ddd-413f-a1a0-4d9b5a3448cf,address:{slot:0x05,bus:0x00,domain:0x0000,type:pci,function:0x0}}
devices={alias:rng0,specParams:{source:random},deviceId:d350f421-9faa-46d2-b4ab-cdd0df191d49,address:{slot:0x07,bus:0x00,domain:0x0000,type:pci,function:0x0},device:virtio,model:virtio,type:rng}
devices={device:scsi,model:virtio-scsi,type:controller,deviceId:170fa597-cf9e-4508-8a8e-dc85ed84297c,address:{slot:0x04,bus:0x00,domain:0x0000,type:pci,function:0x0}}
devices={device:usb,type:controller,deviceId:b95479b4-0b02-44cc-bba6-4cea8bf36e1f,address:{slot:0x01,bus:0x00,domain:0x0000,type:pci,function:0x2}}
devices={device:ide,type:controller,deviceId:2c9eb6ce-5513-44a9-a0fe-240e5e5b9cb1,address:{slot:0x01,bus:0x00,domain:0x0000,type:pci,function:0x1}}
devices={device:qxl,alias:video0,type:video,deviceId:adbe726a-9b71-420d-ba59-780e106a3d88,address:{slot:0x02,bus:0x00,domain:0x0000,type:pci,function:0x0}}

Comment 7 Simone Tiraboschi 2017-02-15 13:28:50 UTC
We have two VMs in the engine DB, the hosted engine one and one where the virtio serial console is working.

engine=# select vm_name, vm_guid, console_cur_user_name, console_user_id, allow_console_reconnect, emulated_machine from vms;
   vm_name    |               vm_guid                | console_cur_user_name | console_user_id | allow_console_reconnect |  emulated_machine   
--------------+--------------------------------------+-----------------------+-----------------+-------------------------+---------------------
 test         | 3bbe962a-a5af-439a-ac39-b8f641691c54 |                       |                 | t                       | pc-i440fx-rhel7.3.0
 HostedEngine | 8dc1d363-1127-44c5-881a-c0e3a55c69f1 |                       |                 | f                       | 
(2 rows)

Note that on the hosted-engine-vm we are also missing emulated_machine value.

On the VM where the serial console it's working we have two devices:

engine=# select device_id, vm_id, type, device, address, spec_params from vm_device where vm_id='3bbe962a-a5af-439a-ac39-b8f641691c54' and (device = 'virtio-serial' or device = 'console');
              device_id               |                vm_id                 |    type    |    device     |                           address                            |        spec_params         
--------------------------------------+--------------------------------------+------------+---------------+--------------------------------------------------------------+----------------------------
 b6f863f3-eaed-4bb2-b79e-868cd662b10c | 3bbe962a-a5af-439a-ac39-b8f641691c54 | controller | virtio-serial | {slot=0x06, bus=0x00, domain=0x0000, type=pci, function=0x0} | { }
 eb700b48-70dc-4a67-bb75-654f4b924091 | 3bbe962a-a5af-439a-ac39-b8f641691c54 | console    | console       |                                                              | {                         +
                                      |                                      |            |               |                                                              |   "enableSocket" : "true",+
                                      |                                      |            |               |                                                              |   "consoleType" : "serial"+
                                      |                                      |            |               |                                                              | }
(2 rows)


And just one for the hosted-engine vm:

engine=# select device_id, vm_id, type, device, address, spec_params from vm_device where vm_id='8dc1d363-1127-44c5-881a-c0e3a55c69f1' and (device = 'virtio-serial' or device = 'console');
              device_id               |                vm_id                 |    type    |    device     |                           address                            | spec_params 
--------------------------------------+--------------------------------------+------------+---------------+--------------------------------------------------------------+-------------
 7ee9b46d-7ddd-413f-a1a0-4d9b5a3448cf | 8dc1d363-1127-44c5-881a-c0e3a55c69f1 | controller | virtio-serial | {slot=0x05, bus=0x00, domain=0x0000, type=pci, function=0x0} | { }
(1 row)


Try editing the hosted-engine VM to add the virtio serial console gives no error at all in engine.log and server.log

Comment 8 Francesco Romani 2017-02-16 11:33:23 UTC
Here's a good example of how the console device should be sent to Vdsm

{u'device': u'console', u'specParams': {u'consoleType': u'serial', u'enableSocket': u'true'}, u'type': u'console', u'deviceId': u'a9789005-0c76-4e3d-b723-cf15f3508b00'}

This matches the engine side shown by Simone in https://bugzilla.redhat.com/show_bug.cgi?id=1420115#c7

Full VM.create params follow for reference

{u'acpiEnable': u'true', u'emulatedMachine': u'pc-i440fx-rhel7.2.0', u'vmId': u'ccd945c8-8069-4f31-8471-bbb58e9dd6ea', u'memGuaranteedSize': 4096, u'transparentHugePages': u'true', u'timeOffset': u'0', u'cpuType': u'Haswell-noTSX', u'smp': u'2', u'guestNumaNodes': [{u'nodeIndex': 0, u'cpus': u'0,1', u'memory': u'4096'}], u'custom': {u'device_f190c823-2e19-40d4-8120-dbcb7f5cf8ae': u"VmDevice:{id='VmDeviceId:{deviceId='f190c823-2e19-40d4-8120-dbcb7f5cf8ae', vmId='ccd945c8-8069-4f31-8471-bbb58e9dd6ea'}', device='ide', type='CONTROLLER', bootOrder='0', specParams='[]', address='{slot=0x01, bus=0x00, domain=0x0000, type=pci, function=0x1}', managed='false', plugged='true', readOnly='false', deviceAlias='ide', customProperties='[]', snapshotId='null', logicalName='null', usingScsiReservation='false', hostDevice='null'}", u'device_f190c823-2e19-40d4-8120-dbcb7f5cf8aedevice_896d0418-66c4-4a18-95f8-959745f96557device_1bc51207-c696-4dc9-994a-9f97ef577c74': u"VmDevice:{id='VmDeviceId:{deviceId='1bc51207-c696-4dc9-994a-9f97ef577c74', vmId='ccd945c8-8069-4f31-8471-bbb58e9dd6ea'}', device='unix', type='CHANNEL', bootOrder='0', specParams='[]', address='{bus=0, controller=0, type=virtio-serial, port=2}', managed='false', plugged='true', readOnly='false', deviceAlias='channel1', customProperties='[]', snapshotId='null', logicalName='null', usingScsiReservation='false', hostDevice='null'}", u'device_f190c823-2e19-40d4-8120-dbcb7f5cf8aedevice_896d0418-66c4-4a18-95f8-959745f96557': u"VmDevice:{id='VmDeviceId:{deviceId='896d0418-66c4-4a18-95f8-959745f96557', vmId='ccd945c8-8069-4f31-8471-bbb58e9dd6ea'}', device='unix', type='CHANNEL', bootOrder='0', specParams='[]', address='{bus=0, controller=0, type=virtio-serial, port=1}', managed='false', plugged='true', readOnly='false', deviceAlias='channel0', customProperties='[]', snapshotId='null', logicalName='null', usingScsiReservation='false', hostDevice='null'}", u'device_f190c823-2e19-40d4-8120-dbcb7f5cf8aedevice_896d0418-66c4-4a18-95f8-959745f96557device_1bc51207-c696-4dc9-994a-9f97ef577c74device_09b3b67e-6511-4779-9999-d05a26795970': u"VmDevice:{id='VmDeviceId:{deviceId='09b3b67e-6511-4779-9999-d05a26795970', vmId='ccd945c8-8069-4f31-8471-bbb58e9dd6ea'}', device='spicevmc', type='CHANNEL', bootOrder='0', specParams='[]', address='{bus=0, controller=0, type=virtio-serial, port=3}', managed='false', plugged='true', readOnly='false', deviceAlias='channel2', customProperties='[]', snapshotId='null', logicalName='null', usingScsiReservation='false', hostDevice='null'}", u'device_f190c823-2e19-40d4-8120-dbcb7f5cf8aedevice_896d0418-66c4-4a18-95f8-959745f96557device_1bc51207-c696-4dc9-994a-9f97ef577c74device_09b3b67e-6511-4779-9999-d05a26795970device_0660a281-78f5-4452-8314-d20ec7f99c0b': u"VmDevice:{id='VmDeviceId:{deviceId='0660a281-78f5-4452-8314-d20ec7f99c0b', vmId='ccd945c8-8069-4f31-8471-bbb58e9dd6ea'}', device='virtio-serial', type='CONTROLLER', bootOrder='0', specParams='[]', address='{slot=0x04, bus=0x00, domain=0x0000, type=pci, function=0x0}', managed='false', plugged='true', readOnly='false', deviceAlias='virtio-serial0', customProperties='[]', snapshotId='null', logicalName='null', usingScsiReservation='false', hostDevice=''}"}, u'vmType': u'kvm', u'memSize': 4096, u'smpCoresPerSocket': u'1', u'vmName': u'a0', u'nice': u'0', u'maxMemSize': 4194304, u'bootMenuEnable': u'false', u'smpThreadsPerCore': u'1', u'smartcardEnable': u'false', u'maxMemSlots': 16, u'kvmEnable': u'true', u'displayNetwork': u'ovirtmgmt', u'devices': [{u'device': u'qxl', u'specParams': {u'vram': u'8192', u'vgamem': u'16384', u'heads': u'1', u'ram': u'65536'}, u'type': u'video', u'deviceId': u'67e3a9d0-2913-4427-9e7f-c248c2e13e67', u'address': {u'function': u'0x0', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'slot': u'0x02'}}, {u'device': u'spice', u'specParams': {u'fileTransferEnable': u'true', u'spiceSslCipherSuite': u'DEFAULT', u'spiceSecureChannels': u'smain,sinputs,scursor,splayback,srecord,sdisplay,ssmartcard,susbredir', u'copyPasteEnable': u'true'}, u'type': u'graphics', u'deviceId': u'a2a13c5d-cc2c-4556-abd0-605b3bbf83fb'}, {u'index': u'2', u'iface': u'ide', u'specParams': {u'path': u''}, u'readonly': u'true', u'deviceId': u'e59c985c-46c2-4489-b355-a6f374125eb9', u'address': {u'bus': u'1', u'controller': u'0', u'type': u'drive', u'target': u'0', u'unit': u'0'}, u'device': u'cdrom', u'shared': u'false', u'path': u'', u'type': u'disk'}, {u'index': 0, u'domainID': u'c578566d-bc61-420c-8f1e-8dfa0a18efd5', u'bootOrder': u'1', u'format': u'raw', u'type': u'disk', u'poolID': u'5890a292-0390-01d2-01ed-00000000029a', u'volumeID': u'5c4eeed4-f2a7-490a-ab57-a0d6f3a711cc', u'imageID': u'66441539-f7ac-4946-8a25-75e422f939d4', u'specParams': {}, u'readonly': u'false', u'iface': u'virtio', u'deviceId': u'66441539-f7ac-4946-8a25-75e422f939d4', u'address': {u'function': u'0x0', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'slot': u'0x05'}, u'device': u'disk', u'shared': u'false', u'propagateErrors': u'off', u'optional': u'false'}, {u'nicModel': u'pv', u'macAddr': u'00:1a:4a:16:01:51', u'linkActive': u'true', u'network': u'ovirtmgmt', u'filter': u'vdsm-no-mac-spoofing', u'specParams': {u'inbound': {}, u'outbound': {}}, u'deviceId': u'08b0b641-be05-49a5-8a6d-2bb3926293e6', u'address': {u'function': u'0x0', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'slot': u'0x03'}, u'device': u'bridge', u'type': u'interface'}, {u'device': u'ich6', u'specParams': {}, u'type': u'sound', u'deviceId': u'ce6ee3ee-0cfe-443b-be11-9db02a092d41'}, {u'device': u'console', u'specParams': {u'consoleType': u'serial', u'enableSocket': u'true'}, u'type': u'console', u'deviceId': u'a9789005-0c76-4e3d-b723-cf15f3508b00'}, {u'device': u'virtio-serial', u'specParams': {}, u'type': u'controller', u'deviceId': u'0660a281-78f5-4452-8314-d20ec7f99c0b', u'address': {u'function': u'0x0', u'bus': u'0x00', u'domain': u'0x0000', u'type': u'pci', u'slot': u'0x04'}}], u'maxVCpus': u'16', u'display': u'qxl'}

Comment 9 Martin Sivák 2017-02-16 12:27:32 UTC
Graphical spice console according to fromani:

{u'device': u'spice', u'specParams': {u'fileTransferEnable': u'true', u'spiceSslCipherSuite': u'DEFAULT', u'spiceSecureChannels': u'smain,sinputs,scursor,splayback,srecord,sdisplay,ssmartcard,susbredir', u'copyPasteEnable': u'true'}, u'type': u'graphics', u'deviceId': u'a2a13c5d-cc2c-4556-abd0-605b3bbf83fb'}

Comment 10 Martin Sivák 2017-11-24 10:35:18 UTC
This is likely going to be resolved on Node 0 based hosted engine deployment. It will be even better once libvirt xml is somehow passed to hosted engine.

Comment 11 Martin Sivák 2018-01-17 11:58:14 UTC
Will be probably fixed by https://gerrit.ovirt.org/#/c/86435/

Comment 12 Nikolai Sednev 2018-02-15 15:11:52 UTC
Deployed with node 0 on NFS and still being reproduced on these components on engine:
ovirt-engine-setup-4.2.1.5-0.1.el7.noarch
Linux 3.10.0-693.19.1.el7.x86_64 #1 SMP Thu Feb 1 12:34:44 EST 2018 x86_64 x86_64 x86_64 GNU/Linux

Hosts:
ovirt-hosted-engine-ha-2.2.4-1.el7ev.noarch
ovirt-hosted-engine-setup-2.2.9-1.el7ev.noarch
rhvm-appliance-4.2-20180202.0.el7.noarch
Linux 3.10.0-693.el7.x86_64 #1 SMP Thu Jul 6 19:56:57 EDT 2017 x86_64 x86_64 x86_64 GNU/Linux

Moving back to assigned as serial-console button not being saved as appears within the attachment.

Comment 13 Nikolai Sednev 2018-02-15 15:12:30 UTC
Created attachment 1396549 [details]
screencast

Comment 14 Nikolai Sednev 2018-02-15 15:15:48 UTC
alma04 ~]# virsh -r dumpxml HostedEngine
<domain type='kvm' id='2'>
  <name>HostedEngine</name>
  <uuid>89ddf673-9c89-4553-9e04-1dea992c3c06</uuid>
  <metadata xmlns:ovirt-tune="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ovirt-tune:qos/>
    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ovirt-vm:destroy_on_reboot type="bool">True</ovirt-vm:destroy_on_reboot>
    <ovirt-vm:guestAgentAPIVersion type="int">3</ovirt-vm:guestAgentAPIVersion>
    <ovirt-vm:memGuaranteedSize type="int">0</ovirt-vm:memGuaranteedSize>
    <ovirt-vm:startTime type="float">1518702251.95</ovirt-vm:startTime>
    <ovirt-vm:device mac_address="00:16:3e:7b:b8:53">
        <ovirt-vm:network>ovirtmgmt</ovirt-vm:network>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
    </ovirt-vm:device>
    <ovirt-vm:device devtype="disk" name="hdc">
        <ovirt-vm:shared>false</ovirt-vm:shared>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
    </ovirt-vm:device>
    <ovirt-vm:device devtype="disk" name="vda">
        <ovirt-vm:domainID>a5853ead-c895-4733-8882-9fc65520cf31</ovirt-vm:domainID>
        <ovirt-vm:guestName>/dev/vda</ovirt-vm:guestName>
        <ovirt-vm:imageID>df25fd83-c65b-4f5a-aff7-38d7d65a128b</ovirt-vm:imageID>
        <ovirt-vm:poolID>00000000-0000-0000-0000-000000000000</ovirt-vm:poolID>
        <ovirt-vm:shared>exclusive</ovirt-vm:shared>
        <ovirt-vm:volumeID>665e4801-2d47-492f-9c71-479151f5c6cd</ovirt-vm:volumeID>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
        <ovirt-vm:volumeChain>
            <ovirt-vm:volumeChainNode>
                <ovirt-vm:domainID>a5853ead-c895-4733-8882-9fc65520cf31</ovirt-vm:domainID>
                <ovirt-vm:imageID>df25fd83-c65b-4f5a-aff7-38d7d65a128b</ovirt-vm:imageID>
                <ovirt-vm:leaseOffset type="int">0</ovirt-vm:leaseOffset>
                <ovirt-vm:leasePath>/rhev/data-center/mnt/yellow-vdsb.qa.lab.tlv.redhat.com:_Compute__NFS_nsednev__he__1/a5853ead-c895-4733-8882-9fc65520cf31/images/df25fd83-c65b-4f5a-aff7-38d7d65a128b/665e4801-2d47-492f-9c71-479151f5c6cd.lease</ovirt-vm:leasePath>
                <ovirt-vm:path>/rhev/data-center/mnt/yellow-vdsb.qa.lab.tlv.redhat.com:_Compute__NFS_nsednev__he__1/a5853ead-c895-4733-8882-9fc65520cf31/images/df25fd83-c65b-4f5a-aff7-38d7d65a128b/665e4801-2d47-492f-9c71-479151f5c6cd</ovirt-vm:path>
                <ovirt-vm:volumeID>665e4801-2d47-492f-9c71-479151f5c6cd</ovirt-vm:volumeID>
            </ovirt-vm:volumeChainNode>
        </ovirt-vm:volumeChain>
    </ovirt-vm:device>
</ovirt-vm:vm>
  </metadata>
  <memory unit='KiB'>16777216</memory>
  <currentMemory unit='KiB'>16777216</currentMemory>
  <vcpu placement='static'>4</vcpu>
  <cputune>
    <shares>1020</shares>
  </cputune>
  <resource>
    <partition>/machine</partition>
  </resource>
  <sysinfo type='smbios'>
    <system>
      <entry name='manufacturer'>Red Hat</entry>
      <entry name='product'>RHEV Hypervisor</entry>
      <entry name='version'>7.4-18.el7</entry>
      <entry name='serial'>4C4C4544-0059-4410-8053-B7C04F573032</entry>
      <entry name='uuid'>89ddf673-9c89-4553-9e04-1dea992c3c06</entry>
    </system>
  </sysinfo>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.3.0'>hvm</type>
    <smbios mode='sysinfo'/>
  </os>
  <features>
    <acpi/>
  </features>
  <cpu mode='custom' match='exact' check='full'>
    <model fallback='forbid'>SandyBridge</model>
    <feature policy='require' name='vme'/>
    <feature policy='require' name='hypervisor'/>
    <feature policy='require' name='arat'/>
    <feature policy='require' name='xsaveopt'/>
  </cpu>
  <clock offset='variable' adjustment='0' basis='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='cdrom'>
      <driver name='qemu' type='raw' error_policy='stop' io='threads'/>
      <source startupPolicy='optional'/>
      <backingStore/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <disk type='file' device='disk' snapshot='no'>
      <driver name='qemu' type='raw' cache='none' error_policy='stop' io='threads'/>
      <source file='/var/run/vdsm/storage/a5853ead-c895-4733-8882-9fc65520cf31/df25fd83-c65b-4f5a-aff7-38d7d65a128b/665e4801-2d47-492f-9c71-479151f5c6cd'/>
      <backingStore/>
      <target dev='vda' bus='virtio'/>
      <serial>df25fd83-c65b-4f5a-aff7-38d7d65a128b</serial>
      <boot order='1'/>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <controller type='scsi' index='0' model='virtio-scsi'>
      <alias name='scsi0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <controller type='virtio-serial' index='0'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='usb' index='0' model='piix3-uhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci.0'/>
    </controller>
    <lease>
      <lockspace>a5853ead-c895-4733-8882-9fc65520cf31</lockspace>
      <key>665e4801-2d47-492f-9c71-479151f5c6cd</key>
      <target path='/rhev/data-center/mnt/yellow-vdsb.qa.lab.tlv.redhat.com:_Compute__NFS_nsednev__he__1/a5853ead-c895-4733-8882-9fc65520cf31/images/df25fd83-c65b-4f5a-aff7-38d7d65a128b/665e4801-2d47-492f-9c71-479151f5c6cd.lease'/>
    </lease>
    <interface type='bridge'>
      <mac address='00:16:3e:7b:b8:53'/>
      <source bridge='ovirtmgmt'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <link state='up'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <console type='pty' tty='/dev/pts/1'>
      <source path='/dev/pts/1'/>
      <target type='virtio' port='0'/>
      <alias name='console0'/>
    </console>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/89ddf673-9c89-4553-9e04-1dea992c3c06.com.redhat.rhevm.vdsm'/>
      <target type='virtio' name='com.redhat.rhevm.vdsm' state='connected'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/89ddf673-9c89-4553-9e04-1dea992c3c06.org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/89ddf673-9c89-4553-9e04-1dea992c3c06.org.ovirt.hosted-engine-setup.0'/>
      <target type='virtio' name='org.ovirt.hosted-engine-setup.0' state='disconnected'/>
      <alias name='channel2'/>
      <address type='virtio-serial' controller='0' bus='0' port='3'/>
    </channel>
    <input type='mouse' bus='ps2'>
      <alias name='input0'/>
    </input>
    <input type='keyboard' bus='ps2'>
      <alias name='input1'/>
    </input>
    <graphics type='vnc' port='5900' autoport='yes' listen='0' passwdValidTo='2018-02-15T15:02:12'>
      <listen type='address' address='0'/>
    </graphics>
    <video>
      <model type='vga' vram='32768' heads='1' primary='yes'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='none'>
      <alias name='balloon0'/>
    </memballoon>
    <rng model='virtio'>
      <backend model='random'>/dev/urandom</backend>
      <alias name='rng0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </rng>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c631,c679</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c631,c679</imagelabel>
  </seclabel>
  <seclabel type='dynamic' model='dac' relabel='yes'>
    <label>+107:+107</label>
    <imagelabel>+107:+107</imagelabel>
  </seclabel>
</domain>

Comment 15 Nikolai Sednev 2018-02-15 15:36:18 UTC
nsednev ~]# ssh -v -t -i $HOME/.ssh/id_rsa -p 2222 ovirt-vmconsole@nsednev-he-1.qa.lab.tlv.redhat.com connect
OpenSSH_7.4p1, OpenSSL 1.0.2k-fips  26 Jan 2017
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 58: Applying options for *
debug1: Connecting to nsednev-he-1.qa.lab.tlv.redhat.com [10.35.92.51] port 2222.
debug1: Connection established.
debug1: permanently_set_uid: 0/0
debug1: identity file /root/.ssh/id_rsa type 1
debug1: key_load_public: No such file or directory
debug1: identity file /root/.ssh/id_rsa-cert type -1
debug1: Enabling compatibility mode for protocol 2.0
debug1: Local version string SSH-2.0-OpenSSH_7.4
debug1: Remote protocol version 2.0, remote software version OpenSSH_7.4
debug1: match: OpenSSH_7.4 pat OpenSSH* compat 0x04000000
debug1: Authenticating to nsednev-he-1.qa.lab.tlv.redhat.com:2222 as 'ovirt-vmconsole'
debug1: SSH2_MSG_KEXINIT sent
debug1: SSH2_MSG_KEXINIT received
debug1: kex: algorithm: curve25519-sha256
debug1: kex: host key algorithm: ssh-rsa-cert-v01@openssh.com
debug1: kex: server->client cipher: chacha20-poly1305@openssh.com MAC: <implicit> compression: none
debug1: kex: client->server cipher: chacha20-poly1305@openssh.com MAC: <implicit> compression: none
debug1: kex: curve25519-sha256 need=64 dh_need=64
debug1: kex: curve25519-sha256 need=64 dh_need=64
debug1: expecting SSH2_MSG_KEX_ECDH_REPLY
debug1: Server host certificate: ssh-rsa-cert-v01@openssh.com SHA256:OGqDyhvKmAyNFaL148XPB4qh/Js8wZdELRClkxuPb80, serial 0 ID "vmconsole-proxy-host" CA ssh-rsa SHA256:9T/DJD/myGwWYFMhtNDQ4osPavbMA+YbaploZ1pYXBs valid from 2018-02-15T14:26:40 to 2023-01-20T15:26:40
debug1: checking without port identifier
debug1: No matching CA found. Retry with plain key
debug1: No matching CA found. Retry with plain key
debug1: Host '[nsednev-he-1.qa.lab.tlv.redhat.com]:2222' is known and matches the RSA host key.
debug1: Found key in /root/.ssh/known_hosts:2
debug1: rekey after 134217728 blocks
debug1: SSH2_MSG_NEWKEYS sent
debug1: expecting SSH2_MSG_NEWKEYS
debug1: SSH2_MSG_NEWKEYS received
debug1: rekey after 134217728 blocks
debug1: SSH2_MSG_EXT_INFO received
debug1: kex_input_ext_info: server-sig-algs=<rsa-sha2-256,rsa-sha2-512>
debug1: SSH2_MSG_SERVICE_ACCEPT received
debug1: Authentications that can continue: publickey
debug1: Next authentication method: publickey
debug1: Offering RSA public key: /root/.ssh/id_rsa
debug1: Server accepts key: pkalg rsa-sha2-512 blen 279
debug1: Authentication succeeded (publickey).
Authenticated to nsednev-he-1.qa.lab.tlv.redhat.com ([10.35.92.51]:2222).
debug1: channel 0: new [client-session]
debug1: Requesting no-more-sessions@openssh.com
debug1: Entering interactive session.
debug1: pledge: network
debug1: client_input_global_request: rtype hostkeys-00@openssh.com want_reply 0
debug1: Remote: Forced command.
debug1: Remote: Agent forwarding disabled.
debug1: Remote: Port forwarding disabled.
debug1: Remote: User rc execution disabled.
debug1: Remote: X11 forwarding disabled.
debug1: Remote: Forced command.
debug1: Remote: Agent forwarding disabled.
debug1: Remote: Port forwarding disabled.
debug1: Remote: User rc execution disabled.
debug1: Remote: X11 forwarding disabled.
debug1: Sending environment.
debug1: Sending env LANG = en_US.UTF-8
debug1: Sending env LANGUAGE = 
debug1: Sending command: connect
debug1: client_input_channel_req: channel 0 rtype exit-status reply 0
debug1: client_input_channel_req: channel 0 rtype eow@openssh.com reply 0
/bin/sh: Permission denied
debug1: channel 0: free: client-session, nchannels 1
Connection to nsednev-he-1.qa.lab.tlv.redhat.com closed.
Transferred: sent 3264, received 4100 bytes, in 0.8 seconds
Bytes per second: sent 4280.6, received 5377.0
debug1: Exit status 1


nsednev-he-1 ~]# systemctl status serial-getty@hvc0.serviceserial-getty@hvc0.service - Serial Getty on hvc0
   Loaded: loaded (/usr/lib/systemd/system/serial-getty@.service; disabled; vendor preset: disabled)
   Active: active (running) since Thu 2018-02-15 15:44:29 IST; 1h 48min ago
     Docs: man:agetty(8)
           man:systemd-getty-generator(8)
           http://0pointer.de/blog/projects/serial-console.html
 Main PID: 788 (agetty)
   CGroup: /system.slice/system-serial\x2dgetty.slice/serial-getty@hvc0.service
           └─788 /sbin/agetty --keep-baud 115200 38400 9600 hvc0 vt220

Feb 15 15:44:29 nsednev-he-1.qa.lab.tlv.redhat.com systemd[1]: Started Serial Getty on hvc0.
Feb 15 15:44:29 nsednev-he-1.qa.lab.tlv.redhat.com systemd[1]: Starting Serial Getty on hvc0...

Comment 16 Martin Sivák 2018-02-28 12:22:00 UTC
Nikolai, can you check if the serial console is actually enabled in the Edit VM dialog inside the webadmin?

Comment 17 Nikolai Sednev 2018-02-28 14:10:37 UTC
(In reply to Martin Sivák from comment #16)
> Nikolai, can you check if the serial console is actually enabled in the Edit
> VM dialog inside the webadmin?

It was not enabled in UI when I tested it last time and changing it was not taking any effect.

Comment 18 Nikolai Sednev 2018-02-28 14:11:58 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1420115#c12.

Comment 19 Martin Sivák 2018-02-28 15:22:53 UTC
Simone, we should probably enable the console device when creating the VM using Ansible.

Comment 20 Simone Tiraboschi 2018-02-28 18:15:27 UTC
Nothing console related in 
http://docs.ansible.com/ansible/latest/ovirt_vms_module.html

Ondra, any hint?

Comment 21 Ondra Machacek 2018-03-01 10:20:21 UTC
It will be available in Ansible 2.5.

Comment 22 Nikolai Sednev 2018-03-18 13:30:51 UTC
Not working on these components:
ovirt-hosted-engine-ha-2.2.7-1.el7ev.noarch
ovirt-hosted-engine-setup-2.2.13-1.el7ev.noarch
rhvm-appliance-4.2-20180202.0.el7.noarch
Linux 3.10.0-861.el7.x86_64 #1 SMP Wed Mar 14 10:21:01 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.5 (Maipo)

Deployment worked fine over iSCSI storage.

Comment 23 Sandro Bonazzola 2018-03-19 08:31:01 UTC
(In reply to Nikolai Sednev from comment #22)
> Not working on these components:
> ovirt-hosted-engine-ha-2.2.7-1.el7ev.noarch
> ovirt-hosted-engine-setup-2.2.13-1.el7ev.noarch
> rhvm-appliance-4.2-20180202.0.el7.noarch
> Linux 3.10.0-861.el7.x86_64 #1 SMP Wed Mar 14 10:21:01 EDT 2018 x86_64
> x86_64 x86_64 GNU/Linux
> Red Hat Enterprise Linux Server release 7.5 (Maipo)
> 
> Deployment worked fine over iSCSI storage.

Not working or worked? Can you attach # virsh -r dumpxml HostedEngine ?

Comment 24 Nikolai Sednev 2018-03-19 10:01:23 UTC
(In reply to Sandro Bonazzola from comment #23)
> (In reply to Nikolai Sednev from comment #22)
> > Not working on these components:
> > ovirt-hosted-engine-ha-2.2.7-1.el7ev.noarch
> > ovirt-hosted-engine-setup-2.2.13-1.el7ev.noarch
> > rhvm-appliance-4.2-20180202.0.el7.noarch
> > Linux 3.10.0-861.el7.x86_64 #1 SMP Wed Mar 14 10:21:01 EDT 2018 x86_64
> > x86_64 x86_64 GNU/Linux
> > Red Hat Enterprise Linux Server release 7.5 (Maipo)
> > 
> > Deployment worked fine over iSCSI storage.
> 
> Not working or worked? Can you attach # virsh -r dumpxml HostedEngine ?

The deployment is working, but the button is not working.
Just as it was described previously in https://bugzilla.redhat.com/show_bug.cgi?id=1420115#c17.
Here goes the dump:

alma03 ~]# virsh -r dumpxml HostedEngine
<domain type='kvm' id='2'>
  <name>HostedEngine</name>
  <uuid>d7320581-3402-4469-b49a-961d9f08c537</uuid>
  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ns0:qos/>
    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>
    <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>
    <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>
    <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>
    <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>
    <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>
    <ovirt-vm:startTime type="float">1521450759.44</ovirt-vm:startTime>
    <ovirt-vm:device mac_address="00:16:3e:7b:b8:53">
        <ovirt-vm:network>ovirtmgmt</ovirt-vm:network>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
    </ovirt-vm:device>
    <ovirt-vm:device devtype="disk" name="vda">
        <ovirt-vm:domainID>56d6fda3-d1d3-45e3-a9b9-01e39d7f46e4</ovirt-vm:domainID>
        <ovirt-vm:guestName>/dev/vda</ovirt-vm:guestName>
        <ovirt-vm:imageID>2bf9fc59-cab4-4691-8dda-8b076ef8c888</ovirt-vm:imageID>
        <ovirt-vm:poolID>00000000-0000-0000-0000-000000000000</ovirt-vm:poolID>
        <ovirt-vm:volumeID>c6137535-6cf6-44a4-86fb-42eaac959281</ovirt-vm:volumeID>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
        <ovirt-vm:volumeChain>
            <ovirt-vm:volumeChainNode>
                <ovirt-vm:domainID>56d6fda3-d1d3-45e3-a9b9-01e39d7f46e4</ovirt-vm:domainID>
                <ovirt-vm:imageID>2bf9fc59-cab4-4691-8dda-8b076ef8c888</ovirt-vm:imageID>
                <ovirt-vm:leaseOffset type="int">0</ovirt-vm:leaseOffset>
                <ovirt-vm:leasePath>/rhev/data-center/mnt/yellow-vdsb.qa.lab.tlv.redhat.com:_Compute__NFS_nsednev__he__1/56d6fda3-d1d3-45e3-a9b9-01e39d7f46e4/images/2bf9fc59-cab4-4691-8dda-8b076ef8c888/c6137535-6cf6-44a4-86fb-42eaac959281.lease</ovirt-vm:leasePath>
                <ovirt-vm:path>/rhev/data-center/mnt/yellow-vdsb.qa.lab.tlv.redhat.com:_Compute__NFS_nsednev__he__1/56d6fda3-d1d3-45e3-a9b9-01e39d7f46e4/images/2bf9fc59-cab4-4691-8dda-8b076ef8c888/c6137535-6cf6-44a4-86fb-42eaac959281</ovirt-vm:path>
                <ovirt-vm:volumeID>c6137535-6cf6-44a4-86fb-42eaac959281</ovirt-vm:volumeID>
            </ovirt-vm:volumeChainNode>
        </ovirt-vm:volumeChain>
    </ovirt-vm:device>
</ovirt-vm:vm>
  </metadata>
  <maxMemory slots='16' unit='KiB'>67108864</maxMemory>
  <memory unit='KiB'>16777216</memory>
  <currentMemory unit='KiB'>16777216</currentMemory>
  <vcpu placement='static' current='4'>64</vcpu>
  <resource>
    <partition>/machine</partition>
  </resource>
  <sysinfo type='smbios'>
    <system>
      <entry name='manufacturer'>oVirt</entry>
      <entry name='product'>RHEV Hypervisor</entry>
      <entry name='version'>7.5-8.el7</entry>
      <entry name='serial'>4C4C4544-0059-4410-8053-B7C04F573032</entry>
      <entry name='uuid'>d7320581-3402-4469-b49a-961d9f08c537</entry>
    </system>
  </sysinfo>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.3.0'>hvm</type>
    <boot dev='hd'/>
    <smbios mode='sysinfo'/>
  </os>
  <features>
    <acpi/>
  </features>
  <cpu mode='custom' match='exact' check='full'>
    <model fallback='forbid'>SandyBridge</model>
    <topology sockets='16' cores='4' threads='1'/>
    <feature policy='require' name='vme'/>
    <feature policy='require' name='hypervisor'/>
    <feature policy='require' name='arat'/>
    <feature policy='require' name='xsaveopt'/>
    <numa>
      <cell id='0' cpus='0-3' memory='16777216' unit='KiB'/>
    </numa>
  </cpu>
  <clock offset='variable' adjustment='0' basis='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <pm>
    <suspend-to-mem enabled='no'/>
    <suspend-to-disk enabled='no'/>
  </pm>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='cdrom'>
      <driver error_policy='report'/>
      <source startupPolicy='optional'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ide0-1-0'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <disk type='file' device='disk' snapshot='no'>
      <driver name='qemu' type='raw' cache='none' error_policy='stop' io='threads'/>
      <source file='/var/run/vdsm/storage/56d6fda3-d1d3-45e3-a9b9-01e39d7f46e4/2bf9fc59-cab4-4691-8dda-8b076ef8c888/c6137535-6cf6-44a4-86fb-42eaac959281'/>
      <backingStore/>
      <target dev='vda' bus='virtio'/>
      <serial>2bf9fc59-cab4-4691-8dda-8b076ef8c888</serial>
      <alias name='virtio-disk0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
    <controller type='usb' index='0' model='piix3-uhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='virtio-serial' index='0' ports='16'>
      <alias name='virtio-serial0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='scsi' index='0' model='virtio-scsi'>
      <alias name='scsi0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci.0'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <interface type='bridge'>
      <mac address='00:16:3e:7b:b8:53'/>
      <source bridge='ovirtmgmt'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <filterref filter='vdsm-no-mac-spoofing'/>
      <alias name='net0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/d7320581-3402-4469-b49a-961d9f08c537.ovirt-guest-agent.0'/>
      <target type='virtio' name='ovirt-guest-agent.0' state='connected'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/d7320581-3402-4469-b49a-961d9f08c537.org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0' state='disconnected'/>
      <alias name='channel2'/>
      <address type='virtio-serial' controller='0' bus='0' port='3'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/d7320581-3402-4469-b49a-961d9f08c537.org.ovirt.hosted-engine-setup.0'/>
      <target type='virtio' name='org.ovirt.hosted-engine-setup.0' state='disconnected'/>
      <alias name='channel3'/>
      <address type='virtio-serial' controller='0' bus='0' port='4'/>
    </channel>
    <input type='mouse' bus='ps2'>
      <alias name='input0'/>
    </input>
    <input type='keyboard' bus='ps2'>
      <alias name='input1'/>
    </input>
    <graphics type='spice' port='5900' tlsPort='5901' autoport='yes' listen='10.35.92.3' passwdValidTo='1970-01-01T00:00:01'>
      <listen type='network' address='10.35.92.3' network='vdsm-ovirtmgmt'/>
      <channel name='main' mode='secure'/>
      <channel name='display' mode='secure'/>
      <channel name='inputs' mode='secure'/>
      <channel name='cursor' mode='secure'/>
      <channel name='playback' mode='secure'/>
      <channel name='record' mode='secure'/>
      <channel name='smartcard' mode='secure'/>
      <channel name='usbredir' mode='secure'/>
    </graphics>
    <sound model='ich6'>
      <alias name='sound0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='32768' vgamem='16384' heads='1' primary='yes'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <stats period='5'/>
      <alias name='balloon0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </memballoon>
    <rng model='virtio'>
      <backend model='random'>/dev/urandom</backend>
      <alias name='rng0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x09' function='0x0'/>
    </rng>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c491,c903</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c491,c903</imagelabel>
  </seclabel>
  <seclabel type='dynamic' model='dac' relabel='yes'>
    <label>+107:+107</label>
    <imagelabel>+107:+107</imagelabel>
  </seclabel>
</domain>

Comment 25 Simone Tiraboschi 2018-03-19 17:08:58 UTC
Is the serial console enabled on engine side if you try to edit the engine VM configuration?

Comment 26 Nikolai Sednev 2018-03-20 13:19:14 UTC
(In reply to Simone Tiraboschi from comment #25)
> Is the serial console enabled on engine side if you try to edit the engine
> VM configuration?

The console checkbox is not marked by default after clean deployment, if trying to enable the checkbox and then clicking OK, then entering again in to edit to see if change was taken in effect, then clearly see unmarked checkbox.

Comment 27 Simone Tiraboschi 2018-03-20 15:59:10 UTC
(In reply to Nikolai Sednev from comment #26)
> The console checkbox is not marked by default after clean deployment, if
> trying to enable the checkbox and then clicking OK, then entering again in
> to edit to see if change was taken in effect, then clearly see unmarked
> checkbox.

It will definitively need further investigation, postponing to 4.2.3 for now

Comment 28 Simone Tiraboschi 2018-04-16 13:56:39 UTC
I think it could be due to https://gerrit.ovirt.org/#/c/90288/

Comment 29 Simone Tiraboschi 2018-04-17 16:01:22 UTC
1528868 is now on MODIFIED, setting this to ON_QA since nothing else seams required here.

Comment 30 Nikolai Sednev 2018-04-22 14:45:29 UTC
Again, checkbox is not marked after clean deployment of Node 0, please see the screenshot within the attachment.
If marked, then after checking it, it appears unmarked, like nothing was ever done, please see screencast.

Tested on these components:
ovirt-hosted-engine-setup-2.2.18-1.el7ev.noarch
ovirt-hosted-engine-ha-2.2.10-1.el7ev.noarch
rhvm-appliance-4.2-20180420.0.el7.noarch
Linux 3.10.0-862.el7.x86_64 #1 SMP Wed Mar 21 18:14:51 EDT 2018 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.5 (Maipo)

Comment 31 Nikolai Sednev 2018-04-22 14:46:03 UTC
Created attachment 1425354 [details]
screenshot

Comment 32 Nikolai Sednev 2018-04-22 14:48:16 UTC
Created attachment 1425355 [details]
screencast

Comment 33 Nikolai Sednev 2018-04-22 14:52:49 UTC
alma04 ~]# virsh -r dumpxml HostedEngine
<domain type='kvm' id='2'>
  <name>HostedEngine</name>
  <uuid>ce8d0f72-6394-478f-9267-402080bff796</uuid>
  <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0" xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ns0:qos/>
    <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
    <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>
    <ovirt-vm:destroy_on_reboot type="bool">False</ovirt-vm:destroy_on_reboot>
    <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>
    <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>
    <ovirt-vm:minGuaranteedMemoryMb type="int">1024</ovirt-vm:minGuaranteedMemoryMb>
    <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>
    <ovirt-vm:startTime type="float">1524407274.9</ovirt-vm:startTime>
    <ovirt-vm:device mac_address="00:16:3e:7b:b8:53">
        <ovirt-vm:network>ovirtmgmt</ovirt-vm:network>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
    </ovirt-vm:device>
    <ovirt-vm:device devtype="disk" name="vda">
        <ovirt-vm:domainID>e85accf3-3e7f-4280-915c-5230cd17e81a</ovirt-vm:domainID>
        <ovirt-vm:guestName>/dev/vda</ovirt-vm:guestName>
        <ovirt-vm:imageID>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</ovirt-vm:imageID>
        <ovirt-vm:poolID>00000000-0000-0000-0000-000000000000</ovirt-vm:poolID>
        <ovirt-vm:shared>exclusive</ovirt-vm:shared>
        <ovirt-vm:volumeID>a49a5693-3563-4bf5-846b-4d82dee061b2</ovirt-vm:volumeID>
        <ovirt-vm:specParams/>
        <ovirt-vm:vm_custom/>
        <ovirt-vm:volumeChain>
            <ovirt-vm:volumeChainNode>
                <ovirt-vm:domainID>e85accf3-3e7f-4280-915c-5230cd17e81a</ovirt-vm:domainID>
                <ovirt-vm:imageID>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</ovirt-vm:imageID>
                <ovirt-vm:leaseOffset type="int">109051904</ovirt-vm:leaseOffset>
                <ovirt-vm:leasePath>/dev/e85accf3-3e7f-4280-915c-5230cd17e81a/leases</ovirt-vm:leasePath>
                <ovirt-vm:path>/rhev/data-center/mnt/blockSD/e85accf3-3e7f-4280-915c-5230cd17e81a/images/5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4/a49a5693-3563-4bf5-846b-4d82dee061b2</ovirt-vm:path>
                <ovirt-vm:volumeID>a49a5693-3563-4bf5-846b-4d82dee061b2</ovirt-vm:volumeID>
            </ovirt-vm:volumeChainNode>
        </ovirt-vm:volumeChain>
    </ovirt-vm:device>
</ovirt-vm:vm>
  </metadata>
  <maxMemory slots='16' unit='KiB'>67108864</maxMemory>
  <memory unit='KiB'>16777216</memory>
  <currentMemory unit='KiB'>16777216</currentMemory>
  <vcpu placement='static' current='2'>32</vcpu>
  <resource>
    <partition>/machine</partition>
  </resource>
  <sysinfo type='smbios'>
    <system>
      <entry name='manufacturer'>oVirt</entry>
      <entry name='product'>RHEV Hypervisor</entry>
      <entry name='version'>7.5-8.el7</entry>
      <entry name='serial'>4C4C4544-0059-4410-8054-B8C04F573032</entry>
      <entry name='uuid'>ce8d0f72-6394-478f-9267-402080bff796</entry>
    </system>
  </sysinfo>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.5.0'>hvm</type>
    <boot dev='hd'/>
    <smbios mode='sysinfo'/>
  </os>
  <features>
    <acpi/>
    <vmcoreinfo/>
  </features>
  <cpu mode='custom' match='exact' check='full'>
    <model fallback='forbid'>SandyBridge</model>
    <topology sockets='16' cores='2' threads='1'/>
    <feature policy='require' name='vme'/>
    <feature policy='require' name='hypervisor'/>
    <feature policy='require' name='arat'/>
    <feature policy='require' name='xsaveopt'/>
    <numa>
      <cell id='0' cpus='0-1' memory='16777216' unit='KiB'/>
    </numa>
  </cpu>
  <clock offset='variable' adjustment='0' basis='utc'>
    <timer name='rtc' tickpolicy='catchup'/>
    <timer name='pit' tickpolicy='delay'/>
    <timer name='hpet' present='no'/>
  </clock>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <pm>
    <suspend-to-mem enabled='no'/>
    <suspend-to-disk enabled='no'/>
  </pm>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='file' device='cdrom'>
      <driver error_policy='report'/>
      <source startupPolicy='optional'/>
      <target dev='hdc' bus='ide'/>
      <readonly/>
      <alias name='ua-c9400008-0c61-4ebb-9a05-b042acb93f81'/>
      <address type='drive' controller='0' bus='1' target='0' unit='0'/>
    </disk>
    <disk type='block' device='disk' snapshot='no'>
      <driver name='qemu' type='raw' cache='none' error_policy='stop' io='native'/>
      <source dev='/var/run/vdsm/storage/e85accf3-3e7f-4280-915c-5230cd17e81a/5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4/a49a5693-3563-4bf5-846b-4d82dee061b2'/>
      <backingStore/>
      <target dev='vda' bus='virtio'/>
      <serial>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</serial>
      <alias name='ua-5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
    <controller type='virtio-serial' index='0' ports='16'>
      <alias name='ua-5d437b8d-301c-4d39-b526-8365a9ce5e5c'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x05' function='0x0'/>
    </controller>
    <controller type='scsi' index='0' model='virtio-scsi'>
      <alias name='ua-b232a371-14eb-4181-afe8-27b6b1c0857b'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </controller>
    <controller type='usb' index='0' model='piix3-uhci'>
      <alias name='usb'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x2'/>
    </controller>
    <controller type='pci' index='0' model='pci-root'>
      <alias name='pci.0'/>
    </controller>
    <controller type='ide' index='0'>
      <alias name='ide'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x01' function='0x1'/>
    </controller>
    <lease>
      <lockspace>e85accf3-3e7f-4280-915c-5230cd17e81a</lockspace>
      <key>a49a5693-3563-4bf5-846b-4d82dee061b2</key>
      <target path='/dev/e85accf3-3e7f-4280-915c-5230cd17e81a/leases' offset='109051904'/>
    </lease>
    <interface type='bridge'>
      <mac address='00:16:3e:7b:b8:53'/>
      <source bridge='ovirtmgmt'/>
      <target dev='vnet0'/>
      <model type='virtio'/>
      <filterref filter='vdsm-no-mac-spoofing'/>
      <link state='up'/>
      <alias name='ua-d8becefc-b205-44eb-b3fc-240a63b076b4'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x03' function='0x0'/>
    </interface>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.ovirt-guest-agent.0'/>
      <target type='virtio' name='ovirt-guest-agent.0' state='connected'/>
      <alias name='channel0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.org.qemu.guest_agent.0'/>
      <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
      <alias name='channel1'/>
      <address type='virtio-serial' controller='0' bus='0' port='2'/>
    </channel>
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0' state='disconnected'/>
      <alias name='channel2'/>
      <address type='virtio-serial' controller='0' bus='0' port='3'/>
    </channel>
    <channel type='unix'>
      <source mode='bind' path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.org.ovirt.hosted-engine-setup.0'/>
      <target type='virtio' name='org.ovirt.hosted-engine-setup.0' state='disconnected'/>
      <alias name='channel3'/>
      <address type='virtio-serial' controller='0' bus='0' port='4'/>
    </channel>
    <input type='mouse' bus='ps2'>
      <alias name='input0'/>
    </input>
    <input type='keyboard' bus='ps2'>
      <alias name='input1'/>
    </input>
    <graphics type='vnc' port='5900' autoport='yes' listen='10.35.92.4' keymap='en-us' passwdValidTo='2018-04-22T14:53:02'>
      <listen type='network' address='10.35.92.4' network='vdsm-ovirtmgmt'/>
    </graphics>
    <graphics type='spice' port='5901' tlsPort='5902' autoport='yes' listen='10.35.92.4' passwdValidTo='2018-04-22T14:51:42'>
      <listen type='network' address='10.35.92.4' network='vdsm-ovirtmgmt'/>
      <channel name='main' mode='secure'/>
      <channel name='display' mode='secure'/>
      <channel name='inputs' mode='secure'/>
      <channel name='cursor' mode='secure'/>
      <channel name='playback' mode='secure'/>
      <channel name='record' mode='secure'/>
      <channel name='smartcard' mode='secure'/>
      <channel name='usbredir' mode='secure'/>
    </graphics>
    <sound model='ich6'>
      <alias name='ua-53304c63-03b7-44c3-8870-540f74cdbb6d'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </sound>
    <video>
      <model type='qxl' ram='65536' vram='32768' vgamem='16384' heads='1' primary='yes'/>
      <alias name='ua-16656272-2707-44a8-91fc-6d72a0218bf2'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02' function='0x0'/>
    </video>
    <memballoon model='virtio'>
      <stats period='5'/>
      <alias name='ua-0856d5a3-d057-4504-9f34-43bcd667a02a'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x08' function='0x0'/>
    </memballoon>
    <rng model='virtio'>
      <backend model='random'>/dev/urandom</backend>
      <alias name='ua-4e0e6952-18c3-474e-8eec-417875d139a3'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x09' function='0x0'/>
    </rng>
  </devices>
  <seclabel type='dynamic' model='selinux' relabel='yes'>
    <label>system_u:system_r:svirt_t:s0:c442,c760</label>
    <imagelabel>system_u:object_r:svirt_image_t:s0:c442,c760</imagelabel>
  </seclabel>
  <seclabel type='dynamic' model='dac' relabel='yes'>
    <label>+107:+107</label>
    <imagelabel>+107:+107</imagelabel>
  </seclabel>
</domain>

Comment 34 Francesco Romani 2018-04-23 14:03:00 UTC
(In reply to Nikolai Sednev from comment #33)
> alma04 ~]# virsh -r dumpxml HostedEngine
> <domain type='kvm' id='2'>
>   <name>HostedEngine</name>
>   <uuid>ce8d0f72-6394-478f-9267-402080bff796</uuid>
>   <metadata xmlns:ns0="http://ovirt.org/vm/tune/1.0"
> xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
>     <ns0:qos/>
>     <ovirt-vm:vm xmlns:ovirt-vm="http://ovirt.org/vm/1.0">
>     <ovirt-vm:clusterVersion>4.2</ovirt-vm:clusterVersion>
>     <ovirt-vm:destroy_on_reboot
> type="bool">False</ovirt-vm:destroy_on_reboot>
>     <ovirt-vm:launchPaused>false</ovirt-vm:launchPaused>
>     <ovirt-vm:memGuaranteedSize type="int">1024</ovirt-vm:memGuaranteedSize>
>     <ovirt-vm:minGuaranteedMemoryMb
> type="int">1024</ovirt-vm:minGuaranteedMemoryMb>
>     <ovirt-vm:resumeBehavior>auto_resume</ovirt-vm:resumeBehavior>
>     <ovirt-vm:startTime type="float">1524407274.9</ovirt-vm:startTime>
>     <ovirt-vm:device mac_address="00:16:3e:7b:b8:53">
>         <ovirt-vm:network>ovirtmgmt</ovirt-vm:network>
>         <ovirt-vm:specParams/>
>         <ovirt-vm:vm_custom/>
>     </ovirt-vm:device>
>     <ovirt-vm:device devtype="disk" name="vda">
>        
> <ovirt-vm:domainID>e85accf3-3e7f-4280-915c-5230cd17e81a</ovirt-vm:domainID>
>         <ovirt-vm:guestName>/dev/vda</ovirt-vm:guestName>
>        
> <ovirt-vm:imageID>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</ovirt-vm:imageID>
>        
> <ovirt-vm:poolID>00000000-0000-0000-0000-000000000000</ovirt-vm:poolID>
>         <ovirt-vm:shared>exclusive</ovirt-vm:shared>
>        
> <ovirt-vm:volumeID>a49a5693-3563-4bf5-846b-4d82dee061b2</ovirt-vm:volumeID>
>         <ovirt-vm:specParams/>
>         <ovirt-vm:vm_custom/>
>         <ovirt-vm:volumeChain>
>             <ovirt-vm:volumeChainNode>
>                
> <ovirt-vm:domainID>e85accf3-3e7f-4280-915c-5230cd17e81a</ovirt-vm:domainID>
>                
> <ovirt-vm:imageID>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</ovirt-vm:imageID>
>                 <ovirt-vm:leaseOffset
> type="int">109051904</ovirt-vm:leaseOffset>
>                
> <ovirt-vm:leasePath>/dev/e85accf3-3e7f-4280-915c-5230cd17e81a/leases</ovirt-
> vm:leasePath>
>                
> <ovirt-vm:path>/rhev/data-center/mnt/blockSD/e85accf3-3e7f-4280-915c-
> 5230cd17e81a/images/5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4/a49a5693-3563-4bf5-
> 846b-4d82dee061b2</ovirt-vm:path>
>                
> <ovirt-vm:volumeID>a49a5693-3563-4bf5-846b-4d82dee061b2</ovirt-vm:volumeID>
>             </ovirt-vm:volumeChainNode>
>         </ovirt-vm:volumeChain>
>     </ovirt-vm:device>
> </ovirt-vm:vm>
>   </metadata>
>   <maxMemory slots='16' unit='KiB'>67108864</maxMemory>
>   <memory unit='KiB'>16777216</memory>
>   <currentMemory unit='KiB'>16777216</currentMemory>
>   <vcpu placement='static' current='2'>32</vcpu>
>   <resource>
>     <partition>/machine</partition>
>   </resource>
>   <sysinfo type='smbios'>
>     <system>
>       <entry name='manufacturer'>oVirt</entry>
>       <entry name='product'>RHEV Hypervisor</entry>
>       <entry name='version'>7.5-8.el7</entry>
>       <entry name='serial'>4C4C4544-0059-4410-8054-B8C04F573032</entry>
>       <entry name='uuid'>ce8d0f72-6394-478f-9267-402080bff796</entry>
>     </system>
>   </sysinfo>
>   <os>
>     <type arch='x86_64' machine='pc-i440fx-rhel7.5.0'>hvm</type>
>     <boot dev='hd'/>
>     <smbios mode='sysinfo'/>
>   </os>
>   <features>
>     <acpi/>
>     <vmcoreinfo/>
>   </features>
>   <cpu mode='custom' match='exact' check='full'>
>     <model fallback='forbid'>SandyBridge</model>
>     <topology sockets='16' cores='2' threads='1'/>
>     <feature policy='require' name='vme'/>
>     <feature policy='require' name='hypervisor'/>
>     <feature policy='require' name='arat'/>
>     <feature policy='require' name='xsaveopt'/>
>     <numa>
>       <cell id='0' cpus='0-1' memory='16777216' unit='KiB'/>
>     </numa>
>   </cpu>
>   <clock offset='variable' adjustment='0' basis='utc'>
>     <timer name='rtc' tickpolicy='catchup'/>
>     <timer name='pit' tickpolicy='delay'/>
>     <timer name='hpet' present='no'/>
>   </clock>
>   <on_poweroff>destroy</on_poweroff>
>   <on_reboot>destroy</on_reboot>
>   <on_crash>destroy</on_crash>
>   <pm>
>     <suspend-to-mem enabled='no'/>
>     <suspend-to-disk enabled='no'/>
>   </pm>
>   <devices>
>     <emulator>/usr/libexec/qemu-kvm</emulator>
>     <disk type='file' device='cdrom'>
>       <driver error_policy='report'/>
>       <source startupPolicy='optional'/>
>       <target dev='hdc' bus='ide'/>
>       <readonly/>
>       <alias name='ua-c9400008-0c61-4ebb-9a05-b042acb93f81'/>
>       <address type='drive' controller='0' bus='1' target='0' unit='0'/>
>     </disk>
>     <disk type='block' device='disk' snapshot='no'>
>       <driver name='qemu' type='raw' cache='none' error_policy='stop'
> io='native'/>
>       <source
> dev='/var/run/vdsm/storage/e85accf3-3e7f-4280-915c-5230cd17e81a/5c47ef47-
> eb0e-4269-bacc-aafa6e7bc7c4/a49a5693-3563-4bf5-846b-4d82dee061b2'/>
>       <backingStore/>
>       <target dev='vda' bus='virtio'/>
>       <serial>5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4</serial>
>       <alias name='ua-5c47ef47-eb0e-4269-bacc-aafa6e7bc7c4'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x07'
> function='0x0'/>
>     </disk>
>     <controller type='virtio-serial' index='0' ports='16'>
>       <alias name='ua-5d437b8d-301c-4d39-b526-8365a9ce5e5c'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x05'
> function='0x0'/>
>     </controller>
>     <controller type='scsi' index='0' model='virtio-scsi'>
>       <alias name='ua-b232a371-14eb-4181-afe8-27b6b1c0857b'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x06'
> function='0x0'/>
>     </controller>
>     <controller type='usb' index='0' model='piix3-uhci'>
>       <alias name='usb'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x01'
> function='0x2'/>
>     </controller>
>     <controller type='pci' index='0' model='pci-root'>
>       <alias name='pci.0'/>
>     </controller>
>     <controller type='ide' index='0'>
>       <alias name='ide'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x01'
> function='0x1'/>
>     </controller>
>     <lease>
>       <lockspace>e85accf3-3e7f-4280-915c-5230cd17e81a</lockspace>
>       <key>a49a5693-3563-4bf5-846b-4d82dee061b2</key>
>       <target path='/dev/e85accf3-3e7f-4280-915c-5230cd17e81a/leases'
> offset='109051904'/>
>     </lease>
>     <interface type='bridge'>
>       <mac address='00:16:3e:7b:b8:53'/>
>       <source bridge='ovirtmgmt'/>
>       <target dev='vnet0'/>
>       <model type='virtio'/>
>       <filterref filter='vdsm-no-mac-spoofing'/>
>       <link state='up'/>
>       <alias name='ua-d8becefc-b205-44eb-b3fc-240a63b076b4'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x03'
> function='0x0'/>
>     </interface>
>     <channel type='unix'>
>       <source mode='bind'
> path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.
> ovirt-guest-agent.0'/>
>       <target type='virtio' name='ovirt-guest-agent.0' state='connected'/>
>       <alias name='channel0'/>
>       <address type='virtio-serial' controller='0' bus='0' port='1'/>
>     </channel>
>     <channel type='unix'>
>       <source mode='bind'
> path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.
> org.qemu.guest_agent.0'/>
>       <target type='virtio' name='org.qemu.guest_agent.0' state='connected'/>
>       <alias name='channel1'/>
>       <address type='virtio-serial' controller='0' bus='0' port='2'/>
>     </channel>
>     <channel type='spicevmc'>
>       <target type='virtio' name='com.redhat.spice.0' state='disconnected'/>
>       <alias name='channel2'/>
>       <address type='virtio-serial' controller='0' bus='0' port='3'/>
>     </channel>
>     <channel type='unix'>
>       <source mode='bind'
> path='/var/lib/libvirt/qemu/channels/ce8d0f72-6394-478f-9267-402080bff796.
> org.ovirt.hosted-engine-setup.0'/>
>       <target type='virtio' name='org.ovirt.hosted-engine-setup.0'
> state='disconnected'/>
>       <alias name='channel3'/>
>       <address type='virtio-serial' controller='0' bus='0' port='4'/>
>     </channel>
>     <input type='mouse' bus='ps2'>
>       <alias name='input0'/>
>     </input>
>     <input type='keyboard' bus='ps2'>
>       <alias name='input1'/>
>     </input>
>     <graphics type='vnc' port='5900' autoport='yes' listen='10.35.92.4'
> keymap='en-us' passwdValidTo='2018-04-22T14:53:02'>
>       <listen type='network' address='10.35.92.4' network='vdsm-ovirtmgmt'/>
>     </graphics>
>     <graphics type='spice' port='5901' tlsPort='5902' autoport='yes'
> listen='10.35.92.4' passwdValidTo='2018-04-22T14:51:42'>
>       <listen type='network' address='10.35.92.4' network='vdsm-ovirtmgmt'/>
>       <channel name='main' mode='secure'/>
>       <channel name='display' mode='secure'/>
>       <channel name='inputs' mode='secure'/>
>       <channel name='cursor' mode='secure'/>
>       <channel name='playback' mode='secure'/>
>       <channel name='record' mode='secure'/>
>       <channel name='smartcard' mode='secure'/>
>       <channel name='usbredir' mode='secure'/>
>     </graphics>
>     <sound model='ich6'>
>       <alias name='ua-53304c63-03b7-44c3-8870-540f74cdbb6d'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x04'
> function='0x0'/>
>     </sound>
>     <video>
>       <model type='qxl' ram='65536' vram='32768' vgamem='16384' heads='1'
> primary='yes'/>
>       <alias name='ua-16656272-2707-44a8-91fc-6d72a0218bf2'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x02'
> function='0x0'/>
>     </video>
>     <memballoon model='virtio'>
>       <stats period='5'/>
>       <alias name='ua-0856d5a3-d057-4504-9f34-43bcd667a02a'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x08'
> function='0x0'/>
>     </memballoon>
>     <rng model='virtio'>
>       <backend model='random'>/dev/urandom</backend>
>       <alias name='ua-4e0e6952-18c3-474e-8eec-417875d139a3'/>
>       <address type='pci' domain='0x0000' bus='0x00' slot='0x09'
> function='0x0'/>
>     </rng>
>   </devices>
>   <seclabel type='dynamic' model='selinux' relabel='yes'>
>     <label>system_u:system_r:svirt_t:s0:c442,c760</label>
>     <imagelabel>system_u:object_r:svirt_image_t:s0:c442,c760</imagelabel>
>   </seclabel>
>   <seclabel type='dynamic' model='dac' relabel='yes'>
>     <label>+107:+107</label>
>     <imagelabel>+107:+107</imagelabel>
>   </seclabel>
> </domain>

Looks like the <console> device is missing here, and this explains why virtual serial console doens't work.
Worth mentioning that the serial device is instead present.

Comment 35 Martin Sivák 2018-04-24 10:28:23 UTC
SSH proxy will not work anyway in 4.2 as there is a libvirt bug that limits the length of the UUID - see https://bugzilla.redhat.com/show_bug.cgi?id=1560666 and https://bugzilla.redhat.com/show_bug.cgi?id=1560976

hosted-engine --console tool should work as expected.

Comment 36 Michal Skrivanek 2018-04-26 12:25:15 UTC
I believe you guys are talking about completely unrelated hings. The original bug report is about "console button" which is indeed likely related to graphics devices being unplugged as Simone noted in comment #28. The button should work now

The other comments are talking about serial console and hosted-engine --console which is not relevant to this bug

Nikolai, please verify that after the upgrade you can open a *graphical* console using the "Console" button in webadmin.

Comment 37 Simone Tiraboschi 2018-04-26 13:14:01 UTC
(In reply to Michal Skrivanek from comment #36)
> Nikolai, please verify that after the upgrade you can open a *graphical*
> console using the "Console" button in webadmin.

I agree, we should probably split this into two distinct bugs.
Let's focus the verification of this just on the graphical console and use https://bugzilla.redhat.com/show_bug.cgi?id=1561964 for the serial console (either from hosted-engine --console and vmconsole proxy).

Comment 38 Nikolai Sednev 2018-04-26 15:29:24 UTC
If this bug is about GUI, then moving to verified as its working fine in WEBUI.
I was able to connect to the engine's VM using VNC/Spice.

Comment 39 Sandro Bonazzola 2018-05-10 06:27:45 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.